VMLINUZ="/lib/modules/${KVERSION}/vmlinux"
fi
-[ -z "$VMLINUZ" ] && VMLINUZ=$(find /boot/vmlinuz-* -type f 2> /dev/null | tail -1)
-
if ! [ -f "$VMLINUZ" ]; then
[[ -f /etc/machine-id ]] && read -r MACHINE_ID < /etc/machine-id
VMLINUZ="/boot/vmlinux-${KVERSION}"
elif [ -f "/boot/kernel-${KVERSION}" ]; then
VMLINUZ="/boot/kernel-${KVERSION}"
- else
- echo "Could not find a Linux kernel version $KVERSION to test with!" >&2
- echo "Please install linux." >&2
- exit 1
fi
fi
+if ! [ -f "$VMLINUZ" ]; then
+ VMLINUZ=$(find /boot/vmlinuz-* -type f 2> /dev/null | tail -1)
+fi
+
+if ! [ -f "$VMLINUZ" ]; then
+ echo "Could not find a Linux kernel version $KVERSION to test with!" >&2
+ echo "Please install linux." >&2
+ exit 1
+fi
+
export VMLINUZ
command -v test_check &> /dev/null || test_check() {